Issue 122315 - [sidebar] Detail menu on the panel title bar is not feature status aware
[sidebar] Detail menu on the panel title bar is not feature status aware
Status: RESOLVED FIXED
Product: General
Classification: Code
Component: ui
4.0.0-dev
All All
: P3 normal (vote)
: 4.0.0
Assigned To: Andre
:
Depends on:
Blocks: [sidebar]
  Show dependency treegraph
 
Reported: 2013-05-14 18:26 UTC by Ariel Constenla-Haile
Modified: 2013-07-11 13:56 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description Ariel Constenla-Haile 2013-05-14 18:26:13 UTC
- New Writer document
- Insert a table
- Put the cursor inside a cell, an right-click with the mouse to open the context menu
- Select "Cell" - "Protect"
- Place the cursor on the protected cell

After the recent changes, now all items on the Text properties panel are disabled on protected cursor.

- Click the "More Options" button on the right side of the Text properties panel's title bar
- Nothing happens.

The toolbox item should be disabled when the respective feature is disabled.
Here again, the generic toolbar (item) controller controlling this toolbox item will solve the bug.
Comment 1 Andre 2013-05-15 07:16:46 UTC
Good point.  But we still want to have same icon and help text for all the "More Options" buttons.  I think.
Comment 2 Andre 2013-05-16 11:57:58 UTC
I also have to take into account that the command of a "More Options" button can change during the life time of a panel.
Comment 3 Andre 2013-05-17 09:49:59 UTC
Reorganized the "More Options" button handling a little bit:
- The SidebarController gives the UNO command directly to the PanelTitleBar.
  = Panel does not have to forward the information
  = Using a string instead of a functor allows comparison with previous command
    and update of the associated controller when the command changes (due to 
    context change)
- PanelTitleBar uses the SidebarToolBox that has some support for tool bar
  controllers.
- PanelTitleBar creates a tool bar controller for the "More Options" command.
  = This controller takes care of disabling the button when the command is
    disabled and the actual command execution.  No more functors necessary.
Comment 4 SVN Robot 2013-05-17 09:50:01 UTC
"af" committed SVN 0 into trunk:
122315: Disable 'More Options' buttons when their commands are disabled.
Comment 5 SVN Robot 2013-05-17 12:06:21 UTC
"af" committed SVN 0 into trunk:
122315: Include the Tools.hxx header always.